## indicator-session 12.10.5%2B16.04.20160412

=== CMakeLists.txt ===
add_subdirectory (backend-dbus)

add_library (libindicatorsessionservice STATIC
             actions.c
             actions.h
             guest.c
             guest.h
             recoverable-problem.c
             recoverable-problem.h
             service.c
             service.h
             users.c
             users.h)
include_directories(${SERVICE_INCLUDE_DIRS})
link_directories(${SERVICE_LIBRARY_DIRS})

set (SERVICE_EXEC "indicator-session-service")
set_property (SOURCE main.c
              APPEND PROPERTY COMPILE_DEFINITIONS
              GETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
              GNOMELOCALEDIR="@CMAKE_INSTALL_FULL_LOCALEDIR@")
add_executable (${SERVICE_EXEC} main.c)
target_link_libraries (${SERVICE_EXEC} libindicatorsessionservice backenddbus ${SERVICE_LIBRARIES} ${GCOV_LIBS})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

# common properties
set_property (TARGET libindicatorsessionservice ${SERVICE_EXEC}
              APPEND_STRING PROPERTY COMPILE_FLAGS
              " -g ${CC_WARNING_ARGS} ${GCOV_FLAGS}")

## indicator-session 0.2.5+r107+201003181715

=== debian/changelog ===
indicator-session (0.2.5+r107+201003181715) lucid; urgency=low

  * Auto build.

 --  <ubuntu.builder@gmail.com>  Thu, 18 Mar 2010 17:17:21 +0000

indicator-session (0.2.5-0ubuntu1~ppa1) lucid; urgency=low


  * Upstream Release 0.2.5

    * Restart required menu item when it's required for updates

    * New logout dialogs.

    * Fix naming to "Switch off" and "Sleep"

    * Blocking the current user from the user list

    * Change sorting to be based on real names and handle conflicts

    * Removing some ConsoleKit errors

    * Memory leak on PangoLayout allocation

    * Don't set GTK decorations

    * ConsoleKit fallback if gnome-session not available



 -- Ted Gould <ted@ubuntu.com>  Thu, 04 Mar 2010 12:33:08 -0600

indicator-session (0.2.4-0ubuntu2) lucid; urgency=low


  * Backport upstream change to fix decoration rendering issues



 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Mar 2010 16:03:20 +0100

indicator-session (0.2.4-0ubuntu1) lucid; urgency=low


  * Upstream release 0.2.4

    * When we can't shutdown with gnome-session fallback to using

      ConsoleKit.

    * Detect when GPM isn't available and don't error out.

    * Change suspend and hibernate detection property names for

      adjustment to upower.



  [Ken VanDine]

  * debian/patches/fix-session-menu-without-gdm.patch

    - dropped patch, merged upstream



 -- Ted Gould <ted@ubuntu.com>  Thu, 25 Feb 2010 11:57:41 -0600

indicator-session (0.2.3-0ubuntu2) lucid; urgency=low


  * debian/patches/fix-session-menu-without-gdm.patch

    - Don't fail with a g_error when we fail to get a list of user sessions 

      from gdm (LP: #506683)



 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 19 Feb 2010 09:43:14 -0500

indicator-session (0.2.3-0ubuntu1) lucid; urgency=low


  * Upstream release 0.2.3

    * Switch menu ordering to match design spec

    * Change switch menu item to "Switch from..."

    * Move from Devkit-Power to upower

    * Adding in user logged in icon and menu item

  * Removed debian/patches/01_port_to_upower.patch as it is now merged

    upstream.



 -- Ted Gould <ted@ubuntu.com>  Thu, 18 Feb 2010 09:49:22 -0600

indicator-session (0.2.2-0ubuntu2) lucid; urgency=low


  * debian/control: Update devicekit-power dependency to upower.

  * Add debian/patches/01_port_to_upower.patch: Straightforward port to

    upower's D-Bus API. A more elaborate port to libupower-glib has been

    proposed upstream as well, but it's not yet clear whether to use the

    client library or the D-Bus API.



 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Feb 2010 11:30:00 +0100

indicator-session (0.2.2-0ubuntu1) lucid; urgency=low


  * Upstream release 0.2.2

    * Check the user_switching lockdown key to disable user_switching

    * Only create the screensaver proxy when needed.

    * Removing unneeded GPM proxy

    * Fixing and reenabling user switching



 -- Ted Gould <ted@ubuntu.com>  Thu, 11 Feb 2010 10:53:06 -0600

indicator-session (0.2.1-0ubuntu1) lucid; urgency=low


  * Upstream release 0.2.1

    * Dbusmenu 0.2.2 support

    * GNOME Screensaver fix (LP: #484603)

  * debian/control: Upping dbusmenu dependency to 0.2.2



 -- Ted Gould <ted@ubuntu.com>  Thu, 04 Feb 2010 17:34:10 -0800

indicator-session (0.2.0-0ubuntu1) lucid; urgency=low


  * Upstream release 0.2.0

    * Removing status support

    * Merging the users service and the session service

  * debian/control: Updating to depend on dbusmenu 0.2.0 or higher. 

  * debian/control: Dropping build depends for libtelepathy-glib-dev



 -- Ted Gould <ted@ubuntu.com>  Fri, 08 Jan 2010 09:33:15 -0600

indicator-session (0.1.7+r58-0ubuntu1) lucid; urgency=low


  * New snapshot for libindicator 0.3.0

  * debian/control

    - build depend on libtelepathy-glib-dev instead of libempathy-dev

    - build depend on libindicator-dev >= 0.3.0

  * removed 03_tp_glib.patch and 99_autoreconf.patch, applied upstream



 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 10 Dec 2009 10:42:21 -0500

indicator-session (0.1.7-0ubuntu5) lucid; urgency=low


  * debian/patches/03_tp_glib.patch

    - Updated patch to properly work with TpAccountManager 



 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 08 Dec 2009 11:01:38 -0500

indicator-session (0.1.7-0ubuntu4) lucid; urgency=low


  * debian/patches/02_mc5-fixes.patch

    - Renamed the patch for ordering

  * debian/patches/03_tp_glib.patch

    - Port from libempathy to telepathy-glib (LP: #461367)

  * debian/patches/99_autoreconf.patch

    - autoreconf for telepathy change

  * debian/control

    - build depend on libtelepathy-glib-dev instead of libempathy-dev



 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 08 Dec 2009 08:58:06 -0500

indicator-session (0.2.0~dev-0ubuntu1~ppa2) karmic; urgency=low


  * debian/rules

    - removed the extra disable-scrollkeeper arg to configure (LP: #418772)

  * debian/control

    - removed the build dep for scrollkeeper



 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 06 Nov 2009 10:24:06 -0500

indicator-session (0.2.0~dev-0ubuntu1~ppa1) karmic; urgency=low


  * Updating to the libindicate 0.3.0 API

  * debian/control: Upping the libindicator-dev version to >= 0.3.0~dev

  * debian/patches/01_locking_on_autologin.patch as it doesn't

    apply.



 -- Ted Gould <ted@ubuntu.com>  Thu, 05 Nov 2009 09:26:56 -0600

indicator-session (0.1.7-0ubuntu3~ppa1) karmic; urgency=low


  * Listen on DBus for MissionControl coming on and off the bus

    as EmpathyAccountManager used to do that for us before.

  * Remove debian/patches/mc5-fixes.patch



 -- Ted Gould <ted@ubuntu.com>  Sat, 10 Oct 2009 08:44:16 -0400

indicator-session (0.1.7-0ubuntu3) karmic; urgency=low


  * debian/patches/01_locking_on_autologin.patch:

    - don't stop users to lock their screen on autologin configs, 

      thank David Barth (lp: #438936)



 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Oct 2009 19:16:24 +0200



=== debian/control ===
Source: indicator-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 5.0),
               cdbs (>= 0.4.41),
               libgtk2.0-dev (>= 2.12.0),
               libgconf2-dev,
               libdbus-glib-1-dev,
               gnome-doc-utils,
               libindicator-dev (>= 0.3.0),
               libdbusmenu-glib-dev (>= 0.2.2),
               libdbusmenu-gtk-dev (>= 0.2.2),
               libpolkit-gobject-1-dev,
               intltool
Standards-Version: 3.8.2
Homepage: https://launchpad.net/indicator-session
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-session/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-session/ubuntu

Package: indicator-session
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, indicator-applet (>= 0.2), upower, gdm
Conflicts: gdm (<= 2.27.4-0ubuntu9), indicator-sus
Replaces: indicator-sus
Description: An indicator showing session management, status and user switching.
 .
 This indicator is designed to be placed on the right side of a panel and
 give the user easy control for changing their instant message status.  
 Switching to another user.  Starting a guest session.  Or controlling the
 status of their own session.
 .
 It requires some way to be hosted into a panel.  For the GNOME Panel the
 appropriate package is indicator-applet-session.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS = -Xusr/lib/indicators

binary-install/indicator-session::
	# remove .a/.la clutter
	rm -f debian/$(cdbs_curpkg)/usr/lib/indicators/*/*.a
	rm -f debian/$(cdbs_curpkg)/usr/lib/indicators/*/*.la

=== debian/watch ===
version=3
https://launchpad.net/indicator-session/+download .*/indicator-session-([0-9.]+)\.tar\.gz

## indicator-session 0.3.6

=== debian/changelog ===
indicator-session (0.3.6-0ubuntu2) oneiric; urgency=low

  * data/indicator-session.convert
    - Fixed improperly mapped gconf to gsettings keys (LP: #858798)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 03 Oct 2011 10:26:54 -0400

indicator-session (0.3.6-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    * Fix convert file key naming (LP: #847807)
    * Use environment variable to get seat path (LP: #856455)
    * Fix abort when using ConsoleKit fallback (LP: #740382)
    * Update session icon instead of creating a new one (LP: #854292)
    * Update to latest Launchpad translations

 -- Ted Gould <ted@ubuntu.com>  Tue, 27 Sep 2011 17:06:47 -0500

indicator-session (0.3.5.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - don't start apt on logging
    - [UIFe] should say "Restart to Complete Updates…" (LP: #850013)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 10:33:56 +0200

indicator-session (0.3.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - fix the updates menu items randomly working (lp: #842946)
    - "Guest Session should not show if guest session was disabled in 
       the display manager" (lp: #835084)
    - segfault fix (lp: #840660)
    - don't display temporary guest user generated username (lp: #844272)
    - respect "show-real-name-on-panel" to hide the username (lp: #812728)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Sep 2011 11:18:26 +0200

indicator-session (0.3.4.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - new gsettings key "com.canonical.indicator.session user-show-menu"
    - "[UIFe]Greeter power menu has cog icon but no settings" 
      (lp: #838546)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Sep 2011 22:09:41 +0200

indicator-session (0.3.4.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - states 'software up-to-date' although there're updates 
      available" (LP: #831650)
  * -debian/patches/revert_icon_change.patch

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 02 Sep 2011 12:22:03 -0400

indicator-session (0.3.4.1-0ubuntu1) oneiric; urgency=low

  [Ken VanDine]
  * New upstream release.
    - in a Guest session user menu is not visible (LP: #834948)
    - User name shown as [Invalid UTF-8] in live session (LP: #837246)
    - "Reboot Required" menu opens Update Manager, doesn't reboot (LP: #837658)
    - indicator-session-service crashed with SIGSEGV in 
      g_str_hash() (LP: #824243)
    - indicator-session-service crashed with SIGSEGV in 
      g_variant_unref() (LP: #833965)
  * +debian/patches/revert_icon_change.patch
    - revert the icon change in greeter mode until a UIF exception is 
      approved
  * +debian/source/format

  [Ted Gould]
  * debian/control: Adding a depend on gnome-settings-daemon to ensure that
    the required schemas are available.  (LP: #833965)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 01 Sep 2011 13:53:50 -0400

indicator-session (0.3.3.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Don't set LC_ALL to C
  * debian/rules
    - dh_translations doesn't handle multibuilds, so manually add the domain

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 26 Aug 2011 09:49:37 -0400

indicator-session (0.3.3.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixed string displayed for users name on single user systems 

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 25 Aug 2011 15:25:40 -0400

indicator-session (0.3.3-0ubuntu2) oneiric; urgency=low

  * src/udev-mgr.c
    - Cherry picked fix for (LP: #833795)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 25 Aug 2011 12:56:17 -0400

indicator-session (0.3.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - User menu should still show even if there is only 1 user (LP: #831758)
    - Bluetooth item in menu not needed (LP: #825111)
    - Newly created users are not added to the menu until next 
      login (LP: #552048)
    - Users list in shutdown menu is not updated on user 
      deletion (LP: #557608)
    - should use gsettings rather than gconf (LP: #656323)
  * debian/control
    - Bump dbusmenu build dep to >= 0.4.92

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 25 Aug 2011 08:58:56 -0400

indicator-session (0.3.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Top-right bar shows "nvalid UTF-8]" (LP: #811852)
    - Don't display 'updates available' when there aren't any (LP: #819495)
    - guest item in user menu (LP: #827909)
    - user menu shows all users with active sessions (LP: #827932)
    - Use ellipsis consistently in the indicator-session strings (LP: #621339)
    - ftbfs with gcc-4.6 -Werror (LP: #793105)
    - lightdm asks for password when resuming from suspend even when no one 
      is logged in (LP: #812804)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 18 Aug 2011 14:30:06 -0400

indicator-session (0.3.1-0ubuntu2) oneiric; urgency=low

  * debian/rules: run intltool-update to update the translations template
    (lp: #820705)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Aug 2011 17:09:08 +0200

indicator-session (0.3.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - restart is missing from SessionMenu (LP: #815077)
    - Don't allow starting programs via the greeter indicators (LP: #811853)
    - Printer menu item should launch system-config-printer (LP: #818602)
    - gudev integration
    - apt restart required awareness
  * debian/control
    - Added build depends on libgudev-1.0-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 10 Aug 2011 16:23:33 -0400

indicator-session (0.3.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - fixed bug where the user menu wouldn't open in unity (LP: #812728)
    - Include apt, settings and device menus
  * debian/rules
    - Updated gtk configure args

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 22 Jul 2011 13:41:08 -0400



## indicator-session 0.3.7.1

=== debian/changelog ===
indicator-session (0.3.7.1-3) unstable; urgency=low

  * Make gudev optional on non-Linux arches.
    + gudev-optional.patch based on my and Ted's changes to upstream.
    + dh-autoreconf for regenerating the build system.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 24 Feb 2012 08:32:42 +0100

indicator-session (0.3.7.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 19 Feb 2012 17:18:43 +0100

indicator-session (0.3.7.1-1) experimental; urgency=low

  * Merge from Ubuntu.
    + Doesn't FTBFS with -Werror.
      Closes: #625356
  * Update debian/copyright.
  * Add lintian override for desktop-command-not-in-package,
    we need an own xdg-screensaver .desktop file.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 05 Nov 2011 19:02:56 +0100

indicator-session (0.3.7.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    - indicator-session shows name as "[Invalid UTF-8]" if there are 
      more than 6 user accounts (LP: #874194)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 28 Oct 2011 11:55:38 -0400

indicator-session (0.3.7-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    * Fix some variant ref issues causing crashes (LP: #863930)
    * Handle cases of returned dbus messages from ConsoleKit (LP: #864085)

 -- Ted Gould <ted@ubuntu.com>  Thu, 13 Oct 2011 13:19:13 -0500

indicator-session (0.2.17-1) unstable; urgency=low

  * Merge new upstream release from Ubuntu.
  * Standards-Version: 3.9.2

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 Jun 2011 13:28:54 +0200

indicator-session (0.2.15-1) unstable; urgency=low

  * Merge from Ubuntu.
    Closes: #620671
  * Standards-Version: 3.9.1
  * Improve package descriptions.
  * Update debian/copyright to DEP5 rev173.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 03 Apr 2011 14:16:17 +0200

=== debian/control ===
Source: indicator-session
Section: gnome
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 5.0),
               cdbs (>= 0.4.41),
               libgtk2.0-dev (>= 2.12.0),
               libgtk-3-dev,
               libgconf2-dev,
               libdbus-glib-1-dev,
               libgudev-1.0-dev [linux-any],
               gnome-doc-utils,
               libindicator-dev (>= 0.3.90),
               libindicator3-dev (>= 0.3.90),
               libdbusmenu-glib-dev (>= 0.4.92),
               libdbusmenu-gtk-dev (>= 0.4.92),
               libdbusmenu-gtk3-dev (>= 0.4.92),
               libpolkit-gobject-1-dev,
               intltool,
               dh-autoreconf
Standards-Version: 3.9.2
Homepage: https://launchpad.net/indicator-session
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-ayatana/indicator-session/debian
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ayatana/indicator-session/debian

Package: indicator-session
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         upower,
         gnome-settings-daemon
Recommends: indicator-applet (>= 0.2) | indicator-renderer
Suggests: lightdm
Conflicts: gdm (<= 2.27.4-0ubuntu9), indicator-sus
Replaces: indicator-sus, indicator-me
Breaks: indicator-me
Description: indicator showing session management, status and user switching
 This indicator is designed to be placed on the right side of a panel and
 give the user easy control for changing their instant message status.  
 Switching to another user.  Starting a guest session.  Or controlling the
 status of their own session.
 .
 It requires some way to be hosted into a panel.  For the GNOME Panel the
 appropriate package is indicator-applet-session.

Package: indicator-session-gtk2
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
         upower,
         indicator-session (= ${binary:Version})
Recommends: indicator-applet (>= 0.2) | indicator-renderer
Suggests: lightdm
Conflicts: gdm (<= 2.27.4-0ubuntu9), indicator-sus
Replaces: indicator-session (<< 0.2.90)
Description: indicator showing session management, status and user switching
 This indicator is designed to be placed on the right side of a panel and
 give the user easy control for changing their instant message status,
 switching to another user, starting a guest session or controlling the
 status of their own session.
 .
 It requires some way to be hosted into a panel. For the GNOME Panel the
 appropriate package is indicator-applet-session.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = gtk2 gtk3

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp/@FLAVOR@
DEB_DESTDIR = $(CURDIR)/debian/tmp/$(cdbs_make_curflavor)/

DEB_CONFIGURE_FLAGS_gtk2 = --with-gtk=2
DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3
DEB_CONFIGURE_EXTRA_FLAGS = --disable-static

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

debian/stamp-autotools/gtk2: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk2)
debian/stamp-autotools/gtk3: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk3)

common-install-arch::
	find debian/tmp -name \*.la -delete
	find debian/tmp -name \*.a -delete
	find debian/tmp -name classic-desktop.sh | xargs chmod +x
	cd po; intltool-update --pot --verbose
	# Language packs
	for d in $$(find debian/tmp -type f \( -name "*.desktop" -o -name "*.directory" \) ); do \
		sed -ri '/^(Name|GenericName|Comment|X-GNOME-FullName)\[/d' $$d; \
		echo "X-Ubuntu-Gettext-Domain=indicator-session" >> $$d; \
	done;

## indicator-session 0.3.96

=== debian/changelog ===
indicator-session (0.3.96-1) unstable; urgency=low

  * Merge new upstream release from Ubuntu.
  * Standards-Version: 3.9.3
  * Bump libindicator Build-Depends.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 21 May 2012 11:44:39 +0200

indicator-session (0.3.96-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Remove desktop files so they don't appear in the dash. (LP: #973181)
    * Add gcov to the build for coverage statistics

 -- Charles Kerr <charles.kerr@canonical.com>  Thu, 05 Apr 2012 12:50:09 -0500

indicator-session (0.3.95-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix small memory leaks (lp: #957342)

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 21 Mar 2012 12:28:43 -0500

indicator-session (0.3.94-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Mar 2012 19:38:25 +0100

indicator-session (0.3.93-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Reverting locking change from earlier releases
    * Working with PackageKit restart signals better

 -- Ted Gould <ted@ubuntu.com>  Fri, 09 Mar 2012 15:31:35 -0600

indicator-session (0.3.92-0ubuntu3) precise; urgency=low

  * Backport mvo's restart required fix, with the new aptdaemon that 
    should fix the issue for good (lp: #942104)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Mar 2012 13:39:43 +0100

indicator-session (0.3.92-0ubuntu2) precise; urgency=low

  * Backport r243 and r244, should fix the restart required status update
    once aptdaemon is fixed to correctly emit signals (lp: #942104)
  * debian/patches/restore_session_lock.patch, debian/rules:
    - replace by a backport of the official commit

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Mar 2012 16:06:57 +0100

indicator-session (0.3.92-0ubuntu1) precise; urgency=low

  * debian/patches/restore_session_lock.patch, debian/rules:
    - get the indicator to enforce locking again since we still have cases
      where locking is not done otherwise (lp: #939518)

  [ Martin Pitt ]
  * debian/control: Add alternative packagekit dependency, since this ought to
    work with either the aptdaemon pkcompat or packagekit itself.

  [ Ted Gould ]
  * New upstream release.
    * Make GUDev dependency optional for non-Linux kernels
    * Add accessibility strings on the icons (LP: #891861)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Feb 2012 19:42:06 +0100

indicator-session (0.3.91-0ubuntu1) precise; urgency=low
  
  * Backport "Don't lock the session when switching to another one"
    work from Robert Ancell, the screen locking is already done by 
    consolekit and enforcing it there is problematic to i.e use the 
    lightdm greeter as a lock screen (lp: #878836)
  * debian/control:
    - recommends python-aptdaemon.pkcompat so packagekit doesn't get installed
  * debian/source/format:
    - use v1, v3 doesn't play nicely with vcs backports

  [ Ken VanDine ]
  * New upstream release. (lp: #903756)
  * debian/control
    - added new build depends on libpackagekit-glib2-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 14 Feb 2012 18:49:02 +0100

indicator-session (0.3.90-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Screensaver code cleanup
    * Fix ordering of items on request
    * Removing GOA support
    * Fix GTK3 Box Deprecation
    * Updating to dbusmenu 0.5.90
    * Making the gtk logout helper and apt optional build time choices
    * Add name hints to the indicators
    * bump version for release
  * Drop debian/patches/01-remove-dead-gss-handling.patch: Upstream
  * debian/control: Updating dbusmenu dep to 0.5.90

 -- Ted Gould <ted@ubuntu.com>  Tue, 07 Feb 2012 21:19:27 -0600

indicator-session (0.3.7.1-4) unstable; urgency=low

  * Fix FTBFS with new GTK.
    Closes: #666235

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 Apr 2012 22:01:07 +0200

indicator-session (0.3.7.1-1ubuntu2) precise; urgency=low

  * debian/patches/01-remove-dead-gss-handling.patch: Remove dead GSS
    throttling code. Let gnome-settings-daemon handle locking the screen
    when UPower requests it.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 28 Jan 2012 16:56:41 -0500

indicator-session (0.3.7.1-1ubuntu1) precise; urgency=low

  * rebuild for libindicator7
  * debian/rules
    - build with no-error=deprecated-declarations
  * debian/control
    - set ubuntu-desktop VCS and maintainer

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 09:59:06 -0500

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                libdbus-glib-1-dev,
                libgudev-1.0-dev [linux-any],
                gnome-doc-utils,
-               libindicator-dev (>= 0.3.90),
-               libindicator3-dev (>= 0.3.90),
-               libdbusmenu-glib-dev (>= 0.4.92),
-               libdbusmenu-gtk-dev (>= 0.4.92),
-               libdbusmenu-gtk3-dev (>= 0.4.92),
-               libpolkit-gobject-1-dev,
+               libindicator-dev (>= 0.4.90),
+               libindicator3-dev (>= 0.4.90),
+               libdbusmenu-glib-dev (>= 0.5.90),
+               libdbusmenu-gtk-dev (>= 0.5.90),
+               libdbusmenu-gtk3-dev (>= 0.5.90),
+               libpackagekit-glib2-dev,
                intltool,
                dh-autoreconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/indicator-session
 Vcs-Bzr: http://bzr.debian.org/bzr/pkg-ayatana/indicator-session/debian
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ayatana/indicator-session/debian
@@ -30,7 +30,7 @@
          ${misc:Depends},
          upower,
          gnome-settings-daemon
-Recommends: indicator-applet (>= 0.2) | indicator-renderer
+Recommends: indicator-applet (>= 0.2) | indicator-renderer, python-aptdaemon.pkcompat | packagekit
 Suggests: lightdm
 Conflicts: gdm (<= 2.27.4-0ubuntu9), indicator-sus
 Replaces: indicator-sus, indicator-me

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3
 DEB_CONFIGURE_EXTRA_FLAGS = --disable-static
 
+CFLAGS += -Wno-error=deprecated-declarations
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 debian/stamp-autotools/gtk2: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk2)

## indicator-session 0.3.96-0ubuntu1newyork1cambridge2

=== debian/changelog ===
indicator-session (0.3.96-0ubuntu1newyork1cambridge2) precise; urgency=low

  [ Matthew Fischer ]
  * 01-ufa-hide-menu-entries.patch: 
    - Remove hiding of menu options: shutdown & suspend.
    - Keep hibernate hidden because although we can disable it with PolicyKit
      we'd need to turn upower back on in the build.
  * 03-ufa-hide-updates-available.patch:
    - Migrate this prior change into a patch now that I understand cdbs
  * 04-ufa-reboot-shutdown-and-suspend-to-ubuntu-service-via-dbus.patch:
    - Instead of the normal actions for Suspend, Shutdown, and Reboot,
      call into our Android Ubuntu service so that it can manage the
      container state.

  [ PS Jenkins bot ]
  * Auto build.

 -- PS Jenkins bot <ps-jenkins@lists.canonical.com>  Mon, 11 Mar 2013 16:21:03 +0000

indicator-session (0.3.96-0ubuntu1newyork1cambridge1) precise; urgency=low

  * Hide the "Software Up to Date" menu item since we won't support apt 
    updates (LP: #1091947)

 -- Matthew Fischer <matthew.fischer@canonical.com>  Mon, 07 Jan 2013 10:14:23 -0700

indicator-session (0.3.96-0ubuntu1newyork1) precise; urgency=low

  * releasing 0.3.96-0ubuntu1newyork1

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 12 Apr 2012 12:54:43 -0700

indicator-session (0.3.95-0ubuntu1newyork2) precise; urgency=low

  * debian/patches/02-ufa-hide-user-switch-menu.patch: hide user
    switch menu

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 05 Apr 2012 09:45:18 -0700

indicator-session (0.3.95-0ubuntu1newyork1) precise; urgency=low

  * debian/patches/01-ufa-hide-menu-entries.patch: hide some menu entries 
    for the ubuntu for android project

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Mon, 02 Apr 2012 17:45:54 -0300

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: indicator-session
 Section: gnome
 Priority: optional
-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
-Uploaders: Evgeni Golov <evgeni@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 5.0),
                cdbs (>= 0.4.41),
                libgtk2.0-dev (>= 2.12.0),
                libgtk-3-dev,
                libgconf2-dev,
                libdbus-glib-1-dev,
-               libgudev-1.0-dev [linux-any],
+               libgudev-1.0-dev,
                gnome-doc-utils,
-               libindicator-dev (>= 0.4.90),
-               libindicator3-dev (>= 0.4.90),
+               libindicator-dev (>= 0.3.90),
+               libindicator3-dev (>= 0.3.90),
                libdbusmenu-glib-dev (>= 0.5.90),
                libdbusmenu-gtk-dev (>= 0.5.90),
                libdbusmenu-gtk3-dev (>= 0.5.90),
                libpackagekit-glib2-dev,
-               intltool,
-               dh-autoreconf
-Standards-Version: 3.9.3
+               libpolkit-gobject-1-dev,
+               intltool
+Standards-Version: 3.9.2
 Homepage: https://launchpad.net/indicator-session
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-ayatana/indicator-session/debian
-Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ayatana/indicator-session/debian
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-session/ubuntu
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-session/ubuntu
 
 Package: indicator-session
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp/@FLAVOR@
 DEB_DESTDIR = $(CURDIR)/debian/tmp/$(cdbs_make_curflavor)/

## indicator-session 12.10.5%2b17.04.20161201

=== CMakeLists.txt ===
include (UseGSettings)

##
##  GSettings schema
##

set (SCHEMA_NAME "com.canonical.indicator.session.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
set (ENV{LC_ALL} "C") 
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_FILE})

##
##  Systemd Unit File
##

# where to install
# Uncomment when we drop Vivid
# pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
set (SYSTEMD_USER_DIR "/usr/lib/systemd/user")
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

# install it
install (FILES "${SYSTEMD_USER_FILE}"
         DESTINATION "${SYSTEMD_USER_DIR}")

##
##  Upstart systemd override Job File
##

set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.override"
         DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")

##
##  Upstart Config File
##

# where to install
set (UPSTART_JOB_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/sessions")
message (STATUS "${UPSTART_JOB_DIR} is the Upstart Job install dir")

set (UPSTART_JOB_NAME "${CMAKE_PROJECT_NAME}.conf")
set (UPSTART_JOB_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_JOB_NAME}")
set (UPSTART_JOB_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_JOB_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${UPSTART_JOB_FILE_IN}" "${UPSTART_JOB_FILE}")

# install it
install (FILES "${UPSTART_JOB_FILE}"
         DESTINATION "${UPSTART_JOB_DIR}")


##
##  XDG Autostart Config File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the XDG Autostart install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Upstart XDG Autostart Override
##

# where to install
set (UPSTART_XDG_AUTOSTART_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/upstart/xdg/autostart")
message (STATUS "${UPSTART_XDG_AUTOSTART_DIR} is the Upstart XDG autostart override dir")

set (UPSTART_XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.upstart.desktop")
set (UPSTART_XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_XDG_AUTOSTART_NAME}")
set (UPSTART_XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${UPSTART_XDG_AUTOSTART_FILE_IN}" "${UPSTART_XDG_AUTOSTART_FILE}")

# install it
install (FILES "${UPSTART_XDG_AUTOSTART_FILE}"
         DESTINATION "${UPSTART_XDG_AUTOSTART_DIR}"
         RENAME "${XDG_AUTOSTART_NAME}")

##
##  Unity Indicator File
##

# where to install
set (UNITY_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/unity/indicators")
message (STATUS "${UNITY_INDICATOR_DIR} is the Unity Indicator install dir")

set (UNITY_INDICATOR_NAME "com.canonical.indicator.session")
set (UNITY_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_INDICATOR_NAME}")

install (FILES "${UNITY_INDICATOR_FILE}"
         DESTINATION "${UNITY_INDICATOR_DIR}")


##
##  Icons
##

# where to install
set (ICON_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor")
message (STATUS "${ICON_DIR} is the Icon install dir")

install (DIRECTORY icons
         icons/16x16
         icons/22x22
         icons/24x24
         icons/32x32
         icons/scalable
         DESTINATION "${ICON_DIR}"
         FILES_MATCHING PATTERN "*.png" PATTERN "*.svg")

install(CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${ICON_DIR})"
        CODE "message (STATUS \"Updating icon cache\")")

## indicator-session 12.10.5+13.10.20131004

=== src/CMakeLists.txt ===
add_subdirectory (backend-dbus)

add_library (libindicatorsessionservice STATIC
             actions.c
             actions.h
             guest.c
             guest.h
             service.c
             service.h
             users.c
             users.h)
include_directories(${SERVICE_INCLUDE_DIRS})
link_directories(${SERVICE_LIBRARY_DIRS})

set (SERVICE_EXEC "indicator-session-service")
set_property (SOURCE main.c
              APPEND PROPERTY COMPILE_DEFINITIONS
              GETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
              GNOMELOCALEDIR="@CMAKE_INSTALL_FULL_LOCALEDIR@")
add_executable (${SERVICE_EXEC} main.c)
target_link_libraries (${SERVICE_EXEC} libindicatorsessionservice backenddbus ${SERVICE_LIBRARIES} ${GCOV_LIBS})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

# common properties
set_property (TARGET libindicatorsessionservice ${SERVICE_EXEC}
              APPEND_STRING PROPERTY COMPILE_FLAGS
              " -g ${CC_WARNING_ARGS} ${GCOV_FLAGS}")

## indicator-session 12.10.5+13.10.20131023.1

=== data/CMakeLists.txt ===
include (UseGSettings)

##
##  GSettings schema
##

set (SCHEMA_NAME "com.canonical.indicator.session.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
set (ENV{LC_ALL} "C") 
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_FILE})


##
##  DBus Service File
##

# where to install
set (DBUS_SERVICE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/services")
message (STATUS "${DBUS_SERVICE_DIR} is the DBus Service File install dir")

set (SERVICE_NAME "${CMAKE_PROJECT_NAME}.service")
set (SERVICE_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SERVICE_NAME}")
set (SERVICE_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SERVICE_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${SERVICE_FILE_IN}" "${SERVICE_FILE}")

# install it
install (FILES "${SERVICE_FILE}"
         DESTINATION "${DBUS_SERVICE_DIR}")


##
##  Unity Indicator File
##

# where to install
set (UNITY_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/unity/indicators")
message (STATUS "${UNITY_INDICATOR_DIR} is the Unity Indicator install dir")

set (UNITY_INDICATOR_NAME "com.canonical.indicator.session")
set (UNITY_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_INDICATOR_NAME}")

install (FILES "${UNITY_INDICATOR_FILE}"
         DESTINATION "${UNITY_INDICATOR_DIR}")


##
##  Icons
##

# where to install
set (ICON_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor")
message (STATUS "${ICON_DIR} is the Icon install dir")

install (DIRECTORY icons
         icons/16x16
         icons/22x22
         icons/24x24
         icons/32x32
         icons/scalable
         DESTINATION "${ICON_DIR}"
         FILES_MATCHING PATTERN "*.png" PATTERN "*.svg")

install(CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${ICON_DIR})"
        CODE "message (STATUS \"Updating icon cache\")")

=== src/backend-dbus/CMakeLists.txt ===
include (GdbusCodegen)

set(BACKEND_GENERATED_SOURCES
)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-display-manager
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.DisplayManager.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-webcredentials
                   com.canonical.indicators
                   ${CMAKE_CURRENT_SOURCE_DIR}/com.canonical.indicators.webcredentials.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-accounts
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Accounts.xml)
                   
add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-user
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Accounts.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-manager
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.Manager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-seat
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-user
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-screen-saver
                   org
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.ScreenSaver.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-session-manager
                   org
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-end-session-dialog
                   org.gnome.SessionManager
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.EndSessionDialog.xml)

set (SOURCES actions.c guest.c users.c backend-dbus.c utils.c)

# add warnings/coverage info on handwritten files
# but not the autogenerated ones...
set_source_files_properties (${SOURCES}
                             PROPERTIES COMPILE_FLAGS " -g ${CC_WARNING_ARGS} ${GCOV_FLAGS}")

# add the bin dir to our include path s.t. our code can find the autogenerated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR} ${SERVICE_INCLUDE_DIRS})

add_library (backenddbus STATIC ${SOURCES} ${BACKEND_GENERATED_SOURCES})

=== tests/backend-dbus/CMakeLists.txt ===
# build libgtest
add_library (gtest STATIC 
             ${GTEST_SOURCE_DIR}/gtest-all.cc 
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES
                       ${GTEST_INCLUDE_DIR})

SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -g ${CC_WARNING_ARGS}")

# build desktopmock
add_library (desktopmock STATIC
             mock-accounts.cc
             mock-accounts.h
             mock-login1-manager.cc
             mock-login1-manager.h
             mock-login1-seat.cc
             mock-login1-seat.h
             mock-display-manager-seat.cc
             mock-display-manager-seat.h
             mock-end-session-dialog.cc
             mock-end-session-dialog.h
             mock-object.cc
             mock-object.h
             mock-screen-saver.cc
             mock-screen-saver.h
             mock-session-manager.cc
             mock-session-manager.h
             mock-user.cc
             mock-user.h
             mock-webcredentials.cc
             mock-webcredentials.h)

include_directories (${SERVICE_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_SOURCE_DIR}/tests)

# test the Actions class
add_executable (test-actions
                test-actions.cc)
add_test (test-actions test-actions)
set_tests_properties (test-actions PROPERTIES COMPILE_FLAGS "${SERVICE_CFLAGS}")
target_link_libraries (test-actions desktopmock backenddbus libindicatorsessionservice gtest ${SERVICE_LDFLAGS} ${GTEST_LIBS} ${GCOV_LIBS})

# test the Guest class
add_executable (test-guest
                test-guest.cc)
add_test (test-guest test-guest)
set_tests_properties (test-guest PROPERTIES COMPILE_FLAGS "${SERVICE_CFLAGS}")
target_link_libraries (test-guest desktopmock backenddbus libindicatorsessionservice gtest ${SERVICE_LDFLAGS} ${GTEST_LIBS} ${GCOV_LIBS})

# test the Users class
add_executable (test-users
                test-users.cc)
add_test (test-users test-users)
set_tests_properties (test-users PROPERTIES COMPILE_FLAGS "${SERVICE_CFLAGS}")
target_link_libraries (test-users desktopmock backenddbus libindicatorsessionservice gtest ${SERVICE_LDFLAGS} ${GTEST_LIBS} ${GCOV_LIBS})
